#ifndef STEREOLAB_H
#define STEREOLAB_H

#include <QtGui/QDialog>
#include "ui_stereolab.h"

#include "cloudviewdialog.h"
#include "matcherdialog.h"
#include "rectifydialog.h"
#include "sgmdialog.h"

#include "g12buffer.h"
#include "loadimage.h"

class StereoLab : public QDialog
{
    Q_OBJECT

public:
    StereoLab(QWidget *parent = 0);
    ~StereoLab();

    void setInputs(char *first, char *second);

public slots:
   void reloadBuffer1();
   void reloadBuffer2();

   void activateLoadDialog(int num);
   void activateLoadDialog1();
   void activateLoadDialog2();


//   void onSignatureLock();
//   void onImageLock();

//   void setInputs(char *first, char *second);

   void rectifySwap(int state);

signals:
   void buffersChanged(G12Buffer *buffer1, G12Buffer *buffer2);

private:
    Ui::StereoLabClass ui;
    G12Buffer* buffer1;
    G12Buffer* buffer2;

    MatcherDialog matcherDialog;
    RectifyDialog rectifyDialog;
    SGMDialog sgmDialog;
    CloudViewDialog cloudDialog;
};

#endif // STEREOLAB_H
